Subject: Re: Login-related questions
From: [email-masked] (Fergus Henderson)

16 Jan 1998 17:53:15 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Smith, Martin" <[email-masked]>
Cc: "'gnu-win32'" <[email-masked]>

On 13-Jan-1998, Smith, Martin <[email-masked]> wrote:
> When opening a (non-login) Bash shell, my .bashrc is read okay (after I   
> set HOME=/usr/home/martin in my environment via the NT control panel).   
> However, when I use a login shell, it seems not to read .bashrc (I no   
> longer have my colourized 'ls' for example). Why might this be?

For login shells, bash reads ~/.bash_profile rather than ~/.bashrc.
Try adding `source ~/.bashrc' to your ~/.bash_profile file.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".